## openvpn-dco-dkms 0.0%2Bgit20250801

=== debian/changelog ===
openvpn-dco-dkms (0.0+git20250801-1ubuntu0.1) questing; urgency=medium

  * Support Linux 6.17 (LP: #2133511)
    debian/patches/0001-ovpn-dco-port-to-6.17-and-compat-hacks.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Thu, 11 Dec 2025 09:40:05 +0100

openvpn-dco-dkms (0.0+git20250801-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream version 0.0+git20250801
    - fixes build error with Linux 6.15+ (Closes: #1106554)

  [ Andreas Beckmann ]
  * dkms.conf: Fix CLEAN command
  * d/rules: Simplify -dkms installation
  * dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="5.4.5"

 -- Bernhard Schmidt <berni@debian.org>  Thu, 21 Aug 2025 19:59:43 +0200

openvpn-dco-dkms (0.0+git20241121-1) unstable; urgency=medium

  * New upstream version 0.0+git20241121
    - fixes build errors with Linux 6.12+ (Closes: #1089502)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 08 Dec 2024 14:37:32 +0100

openvpn-dco-dkms (0.0+git20240712-1) unstable; urgency=medium

  * New upstream version 0.0+git20240712
    - fixes build errors with Linux 6.10+ (Closes: #1077838)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 19 Aug 2024 23:16:18 +0200

openvpn-dco-dkms (0.0+git20231103-1) unstable; urgency=medium

  * New upstream version 0.0+git20231103
    - fixes refcount imbalance ("waiting for tunxxx to become free") seen
      on heavy loaded TCP servers

 -- Bernhard Schmidt <berni@debian.org>  Sat, 11 Nov 2023 22:20:21 +0100

openvpn-dco-dkms (0.0+git20230816-2) unstable; urgency=medium

  * Install compat-include directory (Closes: #1050211)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 22 Aug 2023 18:00:24 +0200

openvpn-dco-dkms (0.0+git20230816-1) unstable; urgency=medium

  * New upstream version 0.0+git20230816
    - fix build error on kernel 6.5+ (Closes: #1043116)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 21 Aug 2023 22:51:04 +0200

openvpn-dco-dkms (0.0+git20230324-1) unstable; urgency=medium

  * Release to unstable targetting bookworm.

 -- Bernhard Schmidt <berni@debian.org>  Thu, 13 Apr 2023 09:47:41 +0200

openvpn-dco-dkms (0.0+git20230324-1~exp1) experimental; urgency=medium

  * New upstream version 0.0+git20230324
    - target experimental due to the freeze
    - new ovpn-dco-v2 module to be used with OpenVPN 2.6.2+. Not adding a
      versioned relationship to untangle testing migration, because it will
      just not use the "wrong" version and run unaccelerated.
  * d/dkms: rename module to ovpn-dco-v2

 -- Bernhard Schmidt <berni@debian.org>  Sat, 25 Mar 2023 00:01:17 +0100

openvpn-dco-dkms (0.0+git20230125-1) unstable; urgency=medium

  * New upstream version 0.0+git20230125
    - Fixes build with kernel version 6.2 (Closes: #1027799)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 25 Jan 2023 21:44:50 +0100

openvpn-dco-dkms (0.0+git20221022-1) unstable; urgency=medium

  * New upstream version 0.0+git20221022
  * Fix build with kernel version > 5.19

 -- Bernhard Schmidt <berni@debian.org>  Tue, 08 Nov 2022 21:33:46 +0100

openvpn-dco-dkms (0.0+git20220816-1) unstable; urgency=medium

  * New upstream version 0.0+git20220816
  * Drop patch applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Thu, 18 Aug 2022 10:35:42 +0200

openvpn-dco-dkms (0.0+git20220801-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Let dh_dkms perform the version substitution.
  * Declare Testsuite: autopkgtest-pkg-dkms.

  [ Bernhard Schmidt ]
  * New upstream version 0.0+git20220801
  * Add patch pending upstream to fix UDPv6 fragmentation

 -- Bernhard Schmidt <berni@debian.org>  Tue, 09 Aug 2022 11:42:30 +0200

openvpn-dco-dkms (0.0+git20220421-1) unstable; urgency=medium

  * New upstream version 0.0+git20220421
  * Bump Standards-Version to 4.6.0, no changes needed
  * add Enhances: openvpn relationship

 -- Bernhard Schmidt <berni@debian.org>  Tue, 10 May 2022 21:12:23 +0200

openvpn-dco-dkms (0.0+git20220322-1) unstable; urgency=medium

  * New upstream version 0.0+git20220322
  * d/copyright: GPL-2.0-only WITH Linux-syscall-note for kernel header

 -- Bernhard Schmidt <berni@debian.org>  Wed, 23 Mar 2022 10:26:43 +0100

openvpn-dco-dkms (0.0+git20220320-1) unstable; urgency=medium

  * Initial release (Closes: #1008044)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 20 Mar 2022 22:16:06 +0100

## openvpn-dco-dkms 0.0+git20230125

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

INSTALLDIR=debian/openvpn-dco-dkms/usr/src/ovpn-dco-${DEB_VERSION_UPSTREAM}

%:
	dh $@

# Nothing to clean, configure, or build (this all happens after
# installation using dkms)
override_dh_auto_clean:
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
	mkdir -p ${INSTALLDIR}
	for f in drivers include linux-compat.h Makefile gen-compat-autoconf.sh; do \
		cp -a $$f ${INSTALLDIR}; \
	done

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

## openvpn-dco-dkms 0.0+git20230324

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (C) 2020-2023 OpenVPN, Inc.
#
#  Author:	Antonio Quartulli <antonio@openvpn.net>

PWD:=$(shell pwd)
KERNEL_SRC ?= /lib/modules/$(shell uname -r)/build
ifeq ($(shell cd $(KERNEL_SRC) && pwd),)
$(warning $(KERNEL_SRC) is missing, please set KERNEL_SRC)
endif

export KERNEL_SRC
RM ?= rm -f
CP := cp -fpR
LN := ln -sf
DEPMOD := depmod -a

REVISION= $(shell	if [ -d "$(PWD)/.git" ]; then \
				echo $$(git --git-dir="$(PWD)/.git" describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)

EL8 := $(shell cat /etc/redhat-release 2>/dev/null | grep -c " 8." )
ifeq (1, $(EL8))
EL8FLAG := -DEL8
endif

NOSTDINC_FLAGS += \
	-I$(PWD)/include/ \
	$(CFLAGS) $(EL8FLAG) \
	-include $(PWD)/linux-compat.h
#	-I$(PWD)/compat-include/

ifneq ($(REVISION),)
NOSTDINC_FLAGS += -DOVPN_DCO_VERSION=\"$(REVISION)\"
endif

ifeq ($(DEBUG),1)
NOSTDINC_FLAGS += -DDEBUG=1
endif

obj-y += drivers/net/ovpn-dco/
export ovpn-dco-v2-y

BUILD_FLAGS := \
	M=$(PWD) \
	PWD=$(PWD) \
	REVISION=$(REVISION) \
	CONFIG_OVPN_DCO_V2=m \
	INSTALL_MOD_DIR=updates/

all: config
	$(MAKE) -C $(KERNEL_SRC) $(BUILD_FLAGS)	modules

clean:
	$(RM) psk_client
	$(RM) compat-autoconf.h*
	$(MAKE) -C $(KERNEL_SRC) $(BUILD_FLAGS) clean
	$(MAKE) -C tests clean

install: config
	$(MAKE) -C $(KERNEL_SRC) $(BUILD_FLAGS) modules_install
	$(DEPMOD)

config:
	$(PWD)/gen-compat-autoconf.sh $(PWD)/compat-autoconf.h

tests:
	$(MAKE) -C tests

.PHONY: all clean install config tests

## openvpn-dco-dkms 0.0+git20231103

=== Makefile ===
--- 
+++ 
@@ -24,11 +24,18 @@
 EL8FLAG := -DEL8
 endif
 
+EL9 := $(shell cat /etc/redhat-release 2>/dev/null | grep -c " 9." )
+ifeq (1, $(EL9))
+EL9FLAG := -DEL9
+endif
+
+ELFLAG := $(EL8FLAG) $(EL9FLAG)
+
 NOSTDINC_FLAGS += \
 	-I$(PWD)/include/ \
-	$(CFLAGS) $(EL8FLAG) \
-	-include $(PWD)/linux-compat.h
-#	-I$(PWD)/compat-include/
+	$(CFLAGS) $(ELFLAG) \
+	-include $(PWD)/linux-compat.h \
+	-I$(PWD)/compat-include/
 
 ifneq ($(REVISION),)
 NOSTDINC_FLAGS += -DOVPN_DCO_VERSION=\"$(REVISION)\"

=== tests/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (C) 2020-2023 OpenVPN, Inc.
#
#  Author:	Antonio Quartulli <antonio@openvpn.net>

RM ?= rm -f
CFLAGS = -Wall


ovpn-cli: ovpn-cli.c
	$(CC) $(CFLAGS) $@.c -I../include/uapi \
		`pkg-config --cflags --libs libnl-3.0 libnl-genl-3.0` \
		-lmbedtls -lmbedcrypto -Wall -o $@

clean:
	$(RM) ovpn-cli

=== debian/changelog ===
openvpn-dco-dkms (0.0+git20231103-1ubuntu1.1) noble; urgency=medium

  * Support Linux 6.14 (LP: #2111348)
    - debian/patches/0002-linux-compat-NLA_POLICY_MAX_LEN-will-be-released-in-6.13.patch
    - debian/patches/0003-ovpn-dco-port-to-6.12-and-add-related-compat-hacks.patch

 -- John Cabaj <john.cabaj@canonical.com>  Tue, 20 May 2025 10:05:24 -0500

openvpn-dco-dkms (0.0+git20231103-1ubuntu1) noble; urgency=medium

  * Support Linux 6.11 (LP: #2092061)
    - 0001-ovpn-dco-add-missing-include-for-MODULE_ALIAS_GENL_FAMILY.patch
  * Change maintainer to Ubuntu Developers

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Wed, 18 Dec 2024 11:37:20 +0100

=== debian/control ===
Source: openvpn-dco-dkms
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-sequence-dkms,
Standards-Version: 4.6.0
Homepage: https://github.com/OpenVPN/ovpn-dco
Vcs-Browser: https://salsa.debian.org/debian/openvpn-dco-dkms
Vcs-Git: https://salsa.debian.org/debian/openvpn-dco-dkms.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: openvpn-dco-dkms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: openvpn
Description: DCO (Data-Channel Offload) kernel module for OpenVPN)
 This kernel module allows OpenVPN to offload any data plane management to the
 linux kernel, thus allowing it to exploit any Linux low level API, while
 avoiding expensive and slow payload transfer between kernel space and user
 space. You need a matching dco-enabled OpenVPN to use this, the feature is
 supposed to land in OpenVPN 2.6.
 .
 This package uses DKMS to automatically build the ovpn-dco kernel module.

## openvpn-dco-dkms 0.0+git20241121

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 override_dh_auto_build:
 override_dh_auto_install:
 	mkdir -p ${INSTALLDIR}
-	for f in drivers include linux-compat.h Makefile gen-compat-autoconf.sh; do \
+	for f in compat-include drivers include linux-compat.h Makefile gen-compat-autoconf.sh; do \
 		cp -a $$f ${INSTALLDIR}; \
 	done

## openvpn-dco-dkms 0.0+git20250801

=== tests/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0
-# Copyright (C) 2020-2023 OpenVPN, Inc.
+# Copyright (C) 2020- OpenVPN, Inc.
 #
 #  Author:	Antonio Quartulli <antonio@openvpn.net>

=== drivers/net/ovpn-dco/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# ovpn-dco -- OpenVPN data channel offload in kernel space
#
# Copyright (C) 2020- OpenVPN, Inc.
#
# Author:	Antonio Quartulli <antonio@openvpn.net>

obj-$(CONFIG_OVPN_DCO_V2) += ovpn-dco-v2.o
ovpn-dco-v2-y += main.o
ovpn-dco-v2-y += bind.o
ovpn-dco-v2-y += crypto.o
ovpn-dco-v2-y += ovpn.o
ovpn-dco-v2-y += peer.o
ovpn-dco-v2-y += sock.o
ovpn-dco-v2-y += stats.o
ovpn-dco-v2-y += netlink.o
ovpn-dco-v2-y += crypto_aead.o
ovpn-dco-v2-y += pktid.o
ovpn-dco-v2-y += tcp.o
ovpn-dco-v2-y += udp.o

=== debian/changelog ===
openvpn-dco-dkms (0.0+git20250801-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Oct 2025 10:37:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: openvpn-dco-dkms
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
-Build-Depends: debhelper-compat (= 13),
-	dh-sequence-dkms,
+Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.6.0
 Homepage: https://github.com/OpenVPN/ovpn-dco
 Vcs-Browser: https://salsa.debian.org/debian/openvpn-dco-dkms
@@ -14,7 +13,7 @@
 
 Package: openvpn-dco-dkms
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: openvpn
 Description: DCO (Data-Channel Offload) kernel module for OpenVPN)
  This kernel module allows OpenVPN to offload any data plane management to the

## openvpn-dco-dkms 0.0+git20251017

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0
-# Copyright (C) 2020-2023 OpenVPN, Inc.
+# Copyright (C) 2020- OpenVPN, Inc.
 #
 #  Author:	Antonio Quartulli <antonio@openvpn.net>
 
@@ -18,22 +18,14 @@
 REVISION= $(shell	if [ -d "$(PWD)/.git" ]; then \
 				echo $$(git --git-dir="$(PWD)/.git" describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
 			fi)
-
-EL8 := $(shell cat /etc/redhat-release 2>/dev/null | grep -c " 8." )
-ifeq (1, $(EL8))
-EL8FLAG := -DEL8
+ifneq ("$(wildcard $(KERNEL_SRC)/include/generated/uapi/linux/suse_version.h)","")
+VERSION_INCLUDE = -include linux/suse_version.h
 endif
-
-EL9 := $(shell cat /etc/redhat-release 2>/dev/null | grep -c " 9." )
-ifeq (1, $(EL9))
-EL9FLAG := -DEL9
-endif
-
-ELFLAG := $(EL8FLAG) $(EL9FLAG)
 
 NOSTDINC_FLAGS += \
 	-I$(PWD)/include/ \
-	$(CFLAGS) $(ELFLAG) \
+	$(CFLAGS) \
+	$(VERSION_INCLUDE) \
 	-include $(PWD)/linux-compat.h \
 	-I$(PWD)/compat-include/

=== debian/changelog ===
openvpn-dco-dkms (0.0+git20251017-1) unstable; urgency=medium

  * New upstream version 0.0+git20251017
    - fixes build error with Linux 6.17+ (Closes: #1119978)
  * Adjust description to clarify support (only) for OpenVPN 2.6

 -- Bernhard Schmidt <berni@debian.org>  Mon, 03 Nov 2025 21:10:01 +0100

=== debian/control ===
Source: openvpn-dco-dkms
Section: net
Priority: optional
Maintainer: Bernhard Schmidt <berni@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-sequence-dkms,
Standards-Version: 4.6.0
Homepage: https://github.com/OpenVPN/ovpn-dco
Vcs-Browser: https://salsa.debian.org/debian/openvpn-dco-dkms
Vcs-Git: https://salsa.debian.org/debian/openvpn-dco-dkms.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: openvpn-dco-dkms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: openvpn
Description: DCO (Data-Channel Offload) kernel module for OpenVPN 2.6
 This kernel module allows OpenVPN to offload any data plane management to the
 linux kernel, thus allowing it to exploit any Linux low level API, while
 avoiding expensive and slow payload transfer between kernel space and user
 space.
 .
 You need OpenVPN 2.6.x with dco-support compiled in to use this.
 .
 This module does _not_ accelerate OpenVPN 2.7. For OpenVPN 2.7 you need the
 new upstreamed kernel module ovpn (released first in Linux 6.16).
 .
 This package uses DKMS to automatically build the ovpn-dco kernel module.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=none

execute_after_dh_install:
	dh_install compat-include drivers include linux-compat.h Makefile gen-compat-autoconf.sh usr/src/ovpn-dco-$(DEB_VERSION_UPSTREAM)/
